<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="receipts"
        [editable]="false"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idPayment"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
                <ul class="nav justify-content-end">
                    <li *ngIf="!readonly" class="nav-item">
                        <a class="btn" [routerLink]="['/', { outlets: { popup: 'receipt-popup-new-list/' + idParty + '/' + idRequirement + '/' + idPaymentType }}]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                    </li>
                    <!-- <li *ngIf="!readonly" class="nav-item">
                        <a class="btn" [routerLink]="['/', { outlets: { popup: 'receipt-popup-new-list/' + idParty + '/' + idRequirement}}]"><span><i class="fa fa-eye"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                    </li> -->
                </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Type">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.paymentTypeDescription}}
            </ng-template>
        </p-column>
        <p-column header="Method">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.methodDescription}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.receipt.paymentNumber'|translate}}" field="paymentNumber" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.receipt.refferenceNumber'|translate}}" field="refferenceNumber">
        </p-column>
        <p-column header="{{'mpmApp.receipt.amount'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.amount | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.receipt.dateCreate'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    (click)="delete(rowData.idPayment)"
                    icon="fa-remove"
                    class="flat-button"
                    *ngIf="!readonly">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
